org.apache.solr.client.solrj.request.json

## Enum HeatmapFacetMap.HeatmapFormat

- java.lang.Object
- - java.lang.Enum<HeatmapFacetMap.HeatmapFormat>
  - - org.apache.solr.client.solrj.request.json.HeatmapFacetMap.HeatmapFormat

All Implemented Interfaces:
  Serializable, Comparable<HeatmapFacetMap.HeatmapFormat>

Enclosing class:
  HeatmapFacetMap

    public static enum HeatmapFacetMap.HeatmapFormat
    extends Enum<HeatmapFacetMap.HeatmapFormat>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INTS2D`
`PNG`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static HeatmapFacetMap.HeatmapFormat` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HeatmapFacetMap.HeatmapFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INTS2D

    public static final HeatmapFacetMap.HeatmapFormat INTS2D

#### PNG

    public static final HeatmapFacetMap.HeatmapFormat PNG

### Method Detail

#### values

    public static HeatmapFacetMap.HeatmapFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HeatmapFacetMap.HeatmapFormat c : HeatmapFacetMap.HeatmapFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HeatmapFacetMap.HeatmapFormat valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<HeatmapFacetMap.HeatmapFormat>`